Removed executable property from certain read-only files
[hvlinux.git] / stage1 / install-1
index 169d678..c23163a 100755 (executable)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
 
 source ~/.bashrc
 
@@ -29,6 +30,7 @@ export SCRDIR=$(pwd)
 HOST_CC=gcc CPPFLAGS=-fexceptions \
     ipkg_ac   ${GMP} "--enable-cxx"
 ipkg_ac   ${MPFR} "--enable-shared"
+ipkg_ac   ${MPC}
 ipkg_ac   ${PPL} "\
     --enable-shared \
     --enable-interfaces=c,cxx \
@@ -41,34 +43,46 @@ ipkg_ac   ${CLOOG_PPL} "\
     --with-gmp=/tools \
     --with-ppl=/tools"
 ipkg_cust ${ZLIB} cis-zlib
-ipkg_cust ${BINUTILS} cis-binutils
-ipkg_cust ${GCC_CORE} cis-gcc
-ipkg_ac   ${NCURSES} "--with-shared --without-debug --without-ada --enable-overwrite --with-build-cc=gcc"
-ipkg_cust ${BASH} cis-bash
+ipkg_ac   ${BINUTILS} "\
+    --target=${CLFS_TARGET} \
+    --with-lib-path=/tools/lib \
+    --disable-nls \
+    --enable-shared \
+    --disable-multilib"
+ipkg_cust ${GCC} cis-gcc
+ipkg_ac   ${NCURSES} "\
+    --with-shared \
+    --without-debug \
+    --without-ada \
+    --enable-overwrite \
+    --with-build-cc=gcc"
+ipkg_ac   ${BASH} "--without-bash-malloc"
 ipkg_ac   ${BISON}
 ipkg_cust ${BZIP2} cis-bzip2
-ipkg_cust ${COREUTILS} cis-coreutils
+ipkg_ac   ${COREUTILS} "--enable-install-program=hostname"
 ipkg_ac   ${DIFFUTILS}
-ipkg_cust ${FINDUTILS} cis-findutils
+ipkg_ac   ${FINDUTILS}
 ipkg_ac   ${FILE_PKG}
-ipkg_cust ${FLEX} cis-flex
-ipkg_ac   ${GAWK} "--disable-libsigsegv"
+ipkg_ac   ${FLEX}
+ipkg_ac   ${GAWK}
 ipkg_cust ${GETTEXT} cis-gettext
-ipkg_ac   ${GREP} "--disable-perl-regexp --without-included-regex"
+ipkg_ac   ${GREP} "\
+    --disable-perl-regexp \
+    --without-included-regex"
 ipkg_ac   ${GZIP}
-ipkg_cust ${MFOUR} cis-m4
+ipkg_ac   ${MFOUR}
 ipkg_ac   ${MAKE_PACKAGE}
 ipkg_ac   ${PATCH_PACKAGE}
 ipkg_ac   ${SED}
-ipkg_cust ${TAR_PACKAGE} cis-tar
-ipkg_cust ${TEXINFO} cis-texinfo
+ipkg_ac   ${TAR_PACKAGE}
+ipkg_ac   ${TEXINFO}
 ipkg_ac   ${XZ_UTILS}
 
 # Chapter 7
 rscr once "Creating directory structure" create-directories
 rscr once "Creating symbolic links" create-symlinks
 
-ipkg_ac   ${NANO} --enable-color --enable-multibuffer
+ipkg_ac   ${NANO} "--enable-color --enable-multibuffer"
 ipkg_cust ${UTIL_LINUX_NG} cis-util-linux-ng
 ipkg_cust ${E2FSPROGS} cis-e2fsprogs
 ipkg_cust ${SYSVINIT} cis-sysvinit